{% extends 'base.html' %}

{% load static %}

{% block style %}
<link rel="stylesheet" href="{% static 'css/addPost.css' %}">
{% endblock style %}

{% block content %}

<div style="width:100%; margin-top: 10vh" class="container">
    <div class="row d-flex justify-content-center">
        <div class="col-md-8 d-flex justify-content-center">
            <h1><i>write a post.</i></h1>
        </div>
    </div>
    <form method="POST" class="mt-5" enctype="multipart/form-data">
        {%csrf_token%}
        {{form.media}}
        {{form.as_p}}
        <div class="row d-flex pb-5">
            <div class="col-auto align-self-end">
                <button type="submit" class="btn btn-primary mt-3">Submit</button>
            </div>
        </div>
    </form>
</div>
{% endblock content %}

{% block script%}
<script>
    let navItem = document.querySelector(".nav-addPost")
    navItem.classList.add("active")
</script>
{% endblock script %}